Phase (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.startupprogress, enum: Phase

Package org.apache.hadoop.hdfs.server.namenode.startupprogress

# Enum Class Phase

java.lang.Object
java.lang.Enum<Phase>
org.apache.hadoop.hdfs.server.namenode.startupprogress.Phase

All Implemented Interfaces:
  `Serializable`, `Comparable<Phase>`, `Constable`

@Private public enum Phase extends Enum<Phase>
Indicates a particular phase of the namenode startup sequence. The phases are listed here in their execution order.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOADING_EDITS`
  The namenode is loading the edits file and applying its operations to the in-memory metadata.
  `LOADING_FSIMAGE`
  The namenode is loading the fsimage file into memory.
  `SAFEMODE`
  The namenode has entered safemode, awaiting block reports from data nodes.
  `SAVING_CHECKPOINT`
  The namenode is saving a new checkpoint.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns phase description.
  `String`
  `getName()`
  Returns phase name.
  `static Phase`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Phase[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOADING_FSIMAGE

    public static final Phase LOADING_FSIMAGE
    The namenode is loading the fsimage file into memory.

  - ### LOADING_EDITS

    public static final Phase LOADING_EDITS
    The namenode is loading the edits file and applying its operations to the in-memory metadata.

  - ### SAVING_CHECKPOINT

    public static final Phase SAVING_CHECKPOINT
    The namenode is saving a new checkpoint.

  - ### SAFEMODE

    public static final Phase SAFEMODE
    The namenode has entered safemode, awaiting block reports from data nodes.

- ## Method Details

  - ### values

    public static Phase[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Phase valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()
    Returns phase description.
    Returns:
      String description

  - ### getName

    public String getName()
    Returns phase name.
    Returns:
      String phase name